GETPID(2)

NAME
getpid, getppid - get parent or calling process identification

SYNOPSIS
#include <unistd.h>

pid_t getpid(void);
pid_t getppid(void);

DESCRIPTION
Getpid returns the process ID of the calling process. The ID is guaranteed to be unique and is useful for constructing temporary file names.

Pids can range from zero (Kernel Null Process) to 32767. Some programs use getpid to seed random number generators. A much better approach on the IIgs is to use the horizontal and vertical positions fo the electron gun, which can be obtained by reading the word value at absolute address 0xE0C02E.

Getppid returns the process ID of the parent of the calling process.

ERRORS
The getpid and getppid functions are always successful; no return value is reserved to indicate an error.

SEE ALSO
fork(2), tctpgrp(2), ioctl(2), gethostid(3), GNO Kernel Reference Manual.

STANDARDS
Getpid and getppid conform to IEEE Std 1003.1-1988 (POSIX).